CharacterSetECI (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.common, enum: CharacterSetECI

Package com.google.zxing.common

# Enum CharacterSetECI

java.lang.Object
java.lang.Enum<CharacterSetECI>
com.google.zxing.common.CharacterSetECI

All Implemented Interfaces:
  `Serializable`, `Comparable<CharacterSetECI>`, `java.lang.constant.Constable`

public enum CharacterSetECI extends Enum<CharacterSetECI>
Encapsulates a Character Set ECI, according to "Extended Channel Interpretations" 5.3.1.1 of ISO 18004.

Author:
  Sean Owen

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASCII`
  `Big5`
  `Cp1250`
  `Cp1251`
  `Cp1252`
  `Cp1256`
  `Cp437`
  `EUC_KR`
  `GB18030`
  `ISO8859_1`
  `ISO8859_10`
  `ISO8859_11`
  `ISO8859_13`
  `ISO8859_14`
  `ISO8859_15`
  `ISO8859_16`
  `ISO8859_2`
  `ISO8859_3`
  `ISO8859_4`
  `ISO8859_5`
  `ISO8859_6`
  `ISO8859_7`
  `ISO8859_8`
  `ISO8859_9`
  `SJIS`
  `UnicodeBigUnmarked`
  `UTF8`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CharacterSetECI`
  `getCharacterSetECI(Charset charset)`
  `static CharacterSetECI`
  `getCharacterSetECIByName(String name)`
  `static CharacterSetECI`
  `getCharacterSetECIByValue(int value)`
  `Charset`
  `getCharset()`
  `int`
  `getValue()`
  `static CharacterSetECI`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CharacterSetECI[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Cp437

    public static final CharacterSetECI Cp437

  - ### ISO8859_1

    public static final CharacterSetECI ISO8859_1

  - ### ISO8859_2

    public static final CharacterSetECI ISO8859_2

  - ### ISO8859_3

    public static final CharacterSetECI ISO8859_3

  - ### ISO8859_4

    public static final CharacterSetECI ISO8859_4

  - ### ISO8859_5

    public static final CharacterSetECI ISO8859_5

  - ### ISO8859_6

    public static final CharacterSetECI ISO8859_6

  - ### ISO8859_7

    public static final CharacterSetECI ISO8859_7

  - ### ISO8859_8

    public static final CharacterSetECI ISO8859_8

  - ### ISO8859_9

    public static final CharacterSetECI ISO8859_9

  - ### ISO8859_10

    public static final CharacterSetECI ISO8859_10

  - ### ISO8859_11

    public static final CharacterSetECI ISO8859_11

  - ### ISO8859_13

    public static final CharacterSetECI ISO8859_13

  - ### ISO8859_14

    public static final CharacterSetECI ISO8859_14

  - ### ISO8859_15

    public static final CharacterSetECI ISO8859_15

  - ### ISO8859_16

    public static final CharacterSetECI ISO8859_16

  - ### SJIS

    public static final CharacterSetECI SJIS

  - ### Cp1250

    public static final CharacterSetECI Cp1250

  - ### Cp1251

    public static final CharacterSetECI Cp1251

  - ### Cp1252

    public static final CharacterSetECI Cp1252

  - ### Cp1256

    public static final CharacterSetECI Cp1256

  - ### UnicodeBigUnmarked

    public static final CharacterSetECI UnicodeBigUnmarked

  - ### UTF8

    public static final CharacterSetECI UTF8

  - ### ASCII

    public static final CharacterSetECI ASCII

  - ### Big5

    public static final CharacterSetECI Big5

  - ### GB18030

    public static final CharacterSetECI GB18030

  - ### EUC_KR

    public static final CharacterSetECI EUC_KR

- ## Method Details

  - ### values

    public static CharacterSetECI[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CharacterSetECI valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public int getValue()

  - ### getCharset

    public Charset getCharset()

  - ### getCharacterSetECI

    public static CharacterSetECI getCharacterSetECI(Charset charset)
    Parameters:
      `charset` - Java character set object
    Returns:
      CharacterSetECI representing ECI for character encoding, or null if it is legal but unsupported

  - ### getCharacterSetECIByValue

    public static CharacterSetECI getCharacterSetECIByValue(int value) throws FormatException
    Parameters:
      `value` - character set ECI value
    Returns:
      `CharacterSetECI` representing ECI of given value, or null if it is legal but unsupported
    Throws:
      `FormatException` - if ECI value is invalid

  - ### getCharacterSetECIByName

    public static CharacterSetECI getCharacterSetECIByName(String name)
    Parameters:
      `name` - character set ECI encoding name
    Returns:
      CharacterSetECI representing ECI for character encoding, or null if it is legal but unsupported